Bug 977126 - Review Request: nodejs-grunt-lib-contrib - Common functionality shared across grunt-contrib tasks
Review Request: nodejs-grunt-lib-contrib - Common functionality shared across...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
: 1115678 (view as bug list)
Depends On: 977122 977137
Blocks: nodejs-reviews 977125 977127 1115659
  Show dependency treegraph
 
Reported: 2013-06-23 13:02 EDT by Jamie Nguyen
Modified: 2014-07-03 13:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-19 15:32:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-06-23 13:02:33 EDT
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-grunt-lib-contrib.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-grunt-lib-contrib-0.6.1-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Common functionality shared across grunt-contrib tasks.
Comment 1 Zbigniew Jędrzejewski-Szmek 2014-03-18 11:10:09 EDT
Issues
======

- %check should be enabled

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-grunt-lib-contrib-0.6.1-1.fc21.noarch.rpm
          nodejs-grunt-lib-contrib-0.6.1-1.fc21.src.rpm
nodejs-grunt-lib-contrib.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-lib-contrib.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-lib-contrib/node_modules/zlib-browserify /usr/lib/node_modules/zlib-browserify
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

All OK.


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-grunt-lib-contrib
nodejs-grunt-lib-contrib.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-lib-contrib.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-lib-contrib/node_modules/zlib-browserify /usr/lib/node_modules/zlib-browserify
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

All OK.

Requires
--------
nodejs-grunt-lib-contrib (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(zlib-browserify)



Provides
--------
nodejs-grunt-lib-contrib:
    nodejs-grunt-lib-contrib
    npm(grunt-lib-contrib)



Source checksums
----------------
http://registry.npmjs.org/grunt-lib-contrib/-/grunt-lib-contrib-0.6.1.tgz :
  CHECKSUM(SHA256) this package     : 752cb894b811b2437990a7fb13d70391bf4f8531aba54a877c8fc2c1b7a789dd
  CHECKSUM(SHA256) upstream package : 752cb894b811b2437990a7fb13d70391bf4f8531aba54a877c8fc2c1b7a789dd


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 977126 -c -m fedora-rawhide-x86_64 -L nodejs-zlibjs/noarch
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Built with local dependencies:
    /home/zbyszek/fedora/nodejs-zlibjs/noarch/nodejs-zlibjs-0.2.0-1.fc21.noarch.rpm
    /home/zbyszek/fedora/nodejs-zlibjs/noarch/nodejs-zlib-browserify-0.0.3-1.fc21.noarch.rpm
    /home/zbyszek/fedora/nodejs-zlibjs/noarch/js-zlib-0.2.0-5.fc21.noarch.rpm


Everything looks OK. Is there some reason for not enabling tests? They seem to
pass correctly when enabled.

Package is APPROVED.
Comment 2 Jamie Nguyen 2014-03-19 03:57:19 EDT
New Package SCM Request
=======================
Package Name: nodejs-grunt-lib-contrib
Short Description: Common functionality shared across grunt-contrib tasks
Owners: jamielinux patches
Branches: f19 f20 el6
InitialCC:
Comment 3 Gwyn Ciesla 2014-03-19 08:00:00 EDT
Git done (by process-git-requests).
Comment 4 Jamie Nguyen 2014-03-19 14:47:34 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> Everything looks OK. Is there some reason for not enabling tests? They seem
> to
> pass correctly when enabled.

It's because nodejs-zlib-browserify will only be available on F21 for now. I'll conditionalize the tests to only run on F21 for now.
Comment 6 Jamie Nguyen 2014-07-03 13:17:02 EDT
*** Bug 1115678 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.